Qt 5.11 | Qt 3D | C++ Classes | QStaticPropertyValueRemovedChangeBase

Qt 5.11.3 Reference Documentation

# QStaticPropertyValueRemovedChangeBase Class

(Qt3DCore::QStaticPropertyValueRemovedChangeBase)

The QStaticPropertyValueRemovedChangeBase class is the base class for all static PropertyValueRemoved QSceneChange events. More...

Header: | #include <Qt3DCore/QStaticPropertyValueRemovedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QPropertyValueRemovedChangeBase
Inherited By: | Qt3DCore::QPropertyNodeRemovedChange and Qt3DCore::QPropertyValueRemovedChange

- List of all members, including inherited members

## Public Functions

virtual | ~QStaticPropertyValueRemovedChangeBase()
const char * | propertyName() const
void | setPropertyName(const char *name)

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QStaticPropertyValueRemovedChangeBase(Qt3DCore::QNodeId subjectId)
| QStaticPropertyValueRemovedChangeBase(Qt3DCore::QStaticPropertyValueRemovedChangeBasePrivate &dd, Qt3DCore::QNodeId subjectId)

## Detailed Description

The QStaticPropertyValueRemovedChangeBase class is the base class for all static PropertyValueRemoved QSceneChange events.

## Member Function Documentation

### `[protected]` QStaticPropertyValueRemovedChangeBase::QStaticPropertyValueRemovedChangeBase(Qt3DCore::QNodeId subjectId)

Constructs a new QStaticPropertyValueRemovedChangeBase with subjectId

### `[protected]` QStaticPropertyValueRemovedChangeBase::QStaticPropertyValueRemovedChangeBase(Qt3DCore::QStaticPropertyValueRemovedChangeBasePrivate &dd, Qt3DCore::QNodeId subjectId)

Default constructs an instance of QStaticPropertyValueRemovedChangeBase.

### `[virtual]` QStaticPropertyValueRemovedChangeBase::~QStaticPropertyValueRemovedChangeBase()

Destroys the instance of QStaticPropertyValueRemovedChangeBase. The destructor is virtual.

### const char *QStaticPropertyValueRemovedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyValueRemovedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().